Bug 482750 - Nokia E51 not recognised (any more)
Nokia E51 not recognised (any more)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-27 16:12 EST by Adrian
Modified: 2009-12-18 02:42 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:42:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (2.04 KB, text/plain)
2009-02-12 22:32 EST, Nik Lam
no flags Details
output of "/sbin/lsusb -v" while CDROM image mounted (57.75 KB, text/plain)
2009-02-12 22:33 EST, Nik Lam
no flags Details
Dialogue box asking if the CDROM should be automatically executed. (23.79 KB, image/png)
2009-02-12 22:35 EST, Nik Lam
no flags Details
dbus error dialogue box (17.79 KB, image/png)
2009-02-12 22:35 EST, Nik Lam
no flags Details
Output of dmesg after attaching Nokia E51 (682 bytes, text/plain)
2009-02-13 06:54 EST, Adrian
no flags Details
Messages from Jan 18 - 25 (2.63 MB, text/plain)
2009-02-15 16:21 EST, Adrian
no flags Details
/sbin/udevadm control --log_priority=debug (35.81 KB, text/plain)
2009-04-09 09:43 EDT, Mauricio Teixeira
no flags Details
Nokia E51 debug (/var/log/messages) (36.12 KB, text/plain)
2009-04-09 10:30 EDT, Adrian
no flags Details
Full lshal output with E71 phone. (151.71 KB, text/plain)
2009-04-09 16:44 EDT, Mauricio Teixeira
no flags Details
lshal (E51) (157.35 KB, text/plain)
2009-04-09 16:53 EDT, Adrian
no flags Details

  None (edit)
Description Adrian 2009-01-27 16:12:49 EST
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.0.5) Gecko/2008121622 Fedora/3.0.5-1.fc10 Firefox/3.0.5

My Nokia E51 is not detected (GSM connection) by NetworkManager any more. NetworkManager, for the first time, started detecting my phone (/dev/ttyACM0) when I tested it ~10 January 2009. It was even listed in the "Mobile Broadband > +Add" dialog. Since about 17 January 2009, it has reverted back to its old behaviour and hasn't recognised my phone. When I try to add it via NM, the only options that I'm presented with are, "Create a GSM connection" and "Create a CDMA connection". Neither of these options work.

Reproducible: Always

Steps to Reproduce:
1. Plug Nokia E51 into usb port
2. NetworkManager does not respond

Actual Results:  
Nothing.

Expected Results:  
NetworkManager should detect my phone or offer me an option to ad it under "Mobile Broadband".

Yum updates directly after it stopped working (main suspects):
Jan 17 10:22:54 Updated: PyOpenGL.noarch 3.0.0-0.9.b8.fc10
Jan 17 10:22:57 Updated: gstreamer-plugins-ugly.x86_64 0.10.10-2.fc10
Jan 17 10:22:58 Updated: rpmdevtools.noarch 7.0-1.fc10
Jan 17 19:12:24 Installed: dkms-2.0.19.1-1.fc10.noarch

Other possible suspects (I almost certain that it was still working after these updates, though):
Jan 15 13:55:03 Updated: hal-libs-0.5.12-14.20081027git.fc10.x86_64
Jan 15 13:55:10 Updated: 1:qt-4.4.3-10.fc10.x86_64
Jan 15 13:55:13 Updated: xine-lib-1.1.16-1.fc10.x86_64
Jan 15 13:55:25 Updated: 1:qt-x11-4.4.3-10.fc10.x86_64
Jan 15 13:55:27 Updated: 2:gimp-libs-2.6.4-3.fc10.x86_64
Jan 15 13:55:28 Updated: sip-4.7.9-1.fc10.x86_64
Jan 15 13:55:31 Updated: totem-pl-parser-2.24.3-1.fc10.x86_64
Jan 15 13:55:32 Updated: file-libs-4.26-4.fc10.x86_64
Jan 15 13:55:33 Updated: jack-audio-connection-kit-0.116.1-3.fc10.x86_64
Jan 15 13:55:36 Updated: 32:bind-libs-9.5.1-1.P1.fc10.x86_64
Jan 15 13:55:45 Updated: rhythmbox-0.11.6-17.r6096.fc10.x86_64
Jan 15 13:55:56 Updated: 2:gimp-2.6.4-3.fc10.x86_64
Jan 15 13:56:03 Updated: amarok-2.0.1.1-1.fc10.x86_64
Jan 15 13:56:09 Updated: 1:libabiword-2.6.6-1.fc10.x86_64
Jan 15 13:56:10 Updated: 2:gimp-help-browser-2.6.4-3.fc10.x86_64
Jan 15 13:56:10 Updated: 32:bind-utils-9.5.1-1.P1.fc10.x86_64
Jan 15 13:56:11 Updated: xine-lib-extras-1.1.16-1.fc10.x86_64
Jan 15 13:56:12 Updated: file-4.26-4.fc10.x86_64
Jan 15 13:56:13 Updated: PyQt-3.17.6-1.fc10.x86_64
Jan 15 13:56:17 Updated: PyQt4-4.4.4-1.fc10.x86_64
Jan 15 13:56:18 Updated: xine-lib-extras-freeworld-1.1.16-1.fc10.x86_64
Jan 15 13:56:19 Updated: xine-lib-pulseaudio-1.1.16-1.fc10.x86_64
Jan 15 13:56:19 Updated: 1:qt-mysql-4.4.3-10.fc10.x86_64
Jan 15 13:56:37 Updated: bluez-gnome-1.8-11.fc10.x86_64
Jan 15 13:56:38 Updated: hulahop-0.4.7-1.fc10.x86_64
Jan 15 13:56:54 Updated: gnome-terminal-2.24.2-3.fc10.x86_64
Jan 15 13:56:55 Updated: 1:nfs-utils-1.1.4-6.fc10.x86_64
Jan 15 13:56:57 Updated: libsilc-1.1.8-1.fc10.x86_64
Jan 15 13:56:58 Updated: words-3.0-13.1.fc10.noarch
Jan 15 13:57:02 Updated: 1:qt-4.4.3-10.fc10.i386
Jan 15 13:57:05 Updated: 1:qt-x11-4.4.3-10.fc10.i386
Jan 15 13:57:08 Updated: hal-0.5.12-14.20081027git.fc10.x86_64
Jan 15 13:57:08 Updated: hal-info-20081219-1.fc10.noarch
Jan 15 13:57:09 Updated: hal-devel-0.5.12-14.20081027git.fc10.x86_64

From /usr/share/hal/fdi/information/10freedesktop/10-modem.fdi:
<!-- E51 as a GPRS/EDGE modem (CDC ACM) -->
<match key="@info.parent:usb.product_id" int="0x42">
  <match key="@info.parent:usb.interface.class" int="0x02">
    <match key="@info.parent:usb.interface.subclass" int="0x02">
      <append key="modem.command_sets" type="strlist">GSM-07.07</append>
      <append key="modem.command_sets" type="strlist">GSM-07.05</append>                  
    </match>
  </match>
</match>

My phone even has its own little special section... :)
Comment 1 Nik Lam 2009-02-07 17:42:42 EST
I've not tried on a non-updated default install of F10, but I'm not seeing any changes to NetworkManager's menu options after I connect my Nokia E71 to my Dell Lattitude D820 notebootk via its USB cable.

On the phone, I get a menu pop up asking to "Select USB Mode", offering

PC Suite
Mass storage
Media transfer
Connect PC to web

Choosing "Connect PC to web" causes an ISO image with some Windows modem software on it to be mounted on the Fedora desktop and a prompt to auto-run it to be displayed on the screen.

I do have a "GSM connection" entry in the Mobile Broadband section of NetworkManager's  "Network Connections" section. I've set the APN value to "internet" which is what my phone's "Access point" setting has.

I don't have the dkms package installed.

Here's what I see in /var/log/messages:

Feb  8 08:58:28 localhost kernel: usb 3-2: new full speed USB device using uhci_
hcd and address 4
Feb  8 08:58:28 localhost kernel: usb 3-2: configuration #1 chosen from 1 choice
Feb  8 08:58:28 localhost kernel: usb 3-2: New USB device found, idVendor=0421, 
idProduct=00aa
Feb  8 08:58:28 localhost kernel: usb 3-2: New USB device strings: Mfr=1, Produc
t=2, SerialNumber=3
Feb  8 08:58:28 localhost kernel: usb 3-2: Product: Nokia E71
Feb  8 08:58:28 localhost kernel: usb 3-2: Manufacturer: Nokia
Feb  8 08:58:28 localhost kernel: usb 3-2: SerialNumber: 354855028716255
Feb  8 08:58:28 localhost kernel: Initializing USB Mass Storage driver...
Feb  8 08:58:28 localhost kernel: scsi2 : SCSI emulation for USB Mass Storage de
vices
Feb  8 08:58:28 localhost kernel: usbcore: registered new interface driver usb-s
torage
Feb  8 08:58:28 localhost kernel: USB Mass Storage support registered.
Feb  8 08:58:33 localhost kernel: scsi 2:0:0:0: CD-ROM            Nokia    E71  
            1.0  PQ: 0 ANSI: 2
Feb  8 08:58:33 localhost kernel: sr1: scsi3-mmc drive: 0x/0x xa/form2 tray
Feb  8 08:58:33 localhost kernel: sr 2:0:0:0: Attached scsi generic sg2 type 5
Feb  8 08:58:36 localhost hald: mounted /dev/sr1 on behalf of uid 500
Feb  8 08:58:36 localhost gnome-keyring-daemon[2858]: adding removable location:
 volume_label_080520_1422 at /media/080520_1422




Perhaps, I'm just setting things up wrong, but I'm willing to add debugging packages etc if that would help.
Comment 2 Nik Lam 2009-02-07 17:43:34 EST
P.S. I'm on i386.
Comment 3 Dan Williams 2009-02-12 18:31:21 EST
Nik: try ejecting the CD-ROM when it shows up, then see what the kernel logs show.  Sometimes after ejecting the CD-ROM device, the phone will finally switch into modem mode.

Next, when the CD-ROM device does show up, can you attach the output of "/sbin/lsusb -v" to this bug?  That will help me to figure out what needs to happen to eject that CD device automatically.
Comment 4 Nik Lam 2009-02-12 22:32:03 EST
Thanks Dan,

I've altered my phone's configuration so that it assumes modem mode upon connection to a PC via USB, rather than prompting for the "USB Mode".

It still tries to mount the virtual CD image, and when I "unmount" or "eject" (i've tried both) it by right clicking on the icon on the desktop, I still don't get any change in NetworkManager's state.

Something else I've noticed is that some time after the CDROM icon disappears from the desktop, I get dbus error.

I'll attach /var/log/messages as messages.txt. Events in it are as follows:

Feb 13 13:36:09
  Plugged in the phone.

Feb 13 13:36:18
  CDROM mounts on desktop and autorun dialog appears (which I cancel). See autorun.png

Feb 13 13:37:18
  Eject the CDROM by right-clicking on the icon and choosing eject. The icon disappears from the desktop.

Feb 13 13:37:44
  dbus error dialog box appears. See unable_to_eject.png.

Feb 13 13:38:32
  Unplugged phone from computer.

I will also attach the lsusb output which was captured between dismissing the autorun dialogue box and unmounting the CDROM image.

N.B. for this test I used a Lenovo Thinkpad x301 running F10 x86_64.
Comment 5 Nik Lam 2009-02-12 22:32:29 EST
Created attachment 331793 [details]
/var/log/messages
Comment 6 Nik Lam 2009-02-12 22:33:16 EST
Created attachment 331794 [details]
output of "/sbin/lsusb -v" while CDROM image mounted
Comment 7 Nik Lam 2009-02-12 22:35:00 EST
Created attachment 331795 [details]
Dialogue box asking if the CDROM should be automatically executed.
Comment 8 Nik Lam 2009-02-12 22:35:43 EST
Created attachment 331796 [details]
dbus error dialogue box
Comment 9 Nik Lam 2009-02-12 22:37:56 EST
If I can find a windows PC, I'll use it to update the phone's firmware in case that makes any difference. I'm still running the originally shipped firmware.
Comment 10 Dan Williams 2009-02-13 06:25:04 EST
Adrian: can I also get the last 20 lines or so of the 'dmesg' command when you plug in your E51?

Nik Lam: on my N80 I have to choose "PC Suite" mode (4 choices I have are Media player, PC Suite, Mass storage, and PictBridge).  Once I do that, I get messages in 'dmesg' like:

usb 3-2: new full speed USB device using uhci_hcd and address 2
usb 3-2: configuration #1 chosen from 1 choice
usb 3-2: New USB device found, idVendor=0421, idProduct=0445
usb 3-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 3-2: Product: Nokia N80
usb 3-2: Manufacturer: Nokia
cdc_acm 3-2:1.8: ttyACM0: USB ACM device
usbcore: registered new interface driver cdc_acm
cdc_acm: v0.26:USB Abstract Control Model driver for USB modems and ISDN adapters

and then I have a "/dev/ttyACM0" which I can use to talk to the phone.  When you choose "PC Suite" mode upon connecting, does anything like this happen for you?
Comment 11 Adrian 2009-02-13 06:54:52 EST
Created attachment 331823 [details]
Output of dmesg after attaching Nokia E51

I'm not sure if this is useful, but after detaching an re-inserting it, this is what I get (in /var/log/messages):

Feb 13 13:46:27 localhost kernel: usb 6-1: new full speed USB device using ohci_hcd and address 2
Feb 13 13:46:27 localhost kernel: usb 6-1: configuration #1 chosen from 1 choice
Feb 13 13:46:27 localhost kernel: usb 6-1: New USB device found, idVendor=0421, idProduct=0042
Feb 13 13:46:27 localhost kernel: usb 6-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Feb 13 13:46:27 localhost kernel: usb 6-1: Product: Nokia E51
Feb 13 13:46:27 localhost kernel: usb 6-1: Manufacturer: Nokia
Feb 13 13:46:27 localhost kernel: cdc_acm 6-1:1.10: ttyACM0: USB ACM device
Feb 13 13:46:27 localhost kernel: usbcore: registered new interface driver cdc_acm
Feb 13 13:46:27 localhost kernel: cdc_acm: v0.26:USB Abstract Control Model driver for USB modems and ISDN adapters
Feb 13 13:46:28 localhost kernel: usbcore: registered new interface driver cdc_ether
Feb 13 13:46:28 localhost kernel: usb 6-1: bad CDC descriptors
Feb 13 13:46:28 localhost kernel: usbcore: registered new interface driver rndis_host
Feb 13 13:46:28 localhost kernel: usb 6-1: bad CDC descriptors
Feb 13 13:46:28 localhost kernel: usbcore: registered new interface driver rndis_wlan
Feb 13 13:50:52 localhost kernel: usb 6-1: USB disconnect, address 2
Feb 13 13:50:57 localhost kernel: usb 6-1: new full speed USB device using ohci_hcd and address 3
Feb 13 13:50:57 localhost kernel: usb 6-1: configuration #1 chosen from 1 choice
Feb 13 13:50:58 localhost kernel: cdc_acm 6-1:1.10: ttyACM0: USB ACM device
Feb 13 13:50:58 localhost kernel: usb 6-1: bad CDC descriptors
Feb 13 13:50:58 localhost kernel: usb 6-1: bad CDC descriptors
Feb 13 13:50:58 localhost kernel: usb 6-1: New USB device found, idVendor=0421, idProduct=0042
Feb 13 13:50:58 localhost kernel: usb 6-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Feb 13 13:50:58 localhost kernel: usb 6-1: Product: Nokia E51
Feb 13 13:50:58 localhost kernel: usb 6-1: Manufacturer: Nokia
Comment 12 Nik Lam 2009-02-13 10:19:17 EST
Hi Dan,

NetworkManager does indeed work out of the box as long as the "PC Suite" mode on the phone is used. 

This submission is being done via the auto-connected wireless broadband connection :)))))

I guess "PC Suite" just sounded a bit too proprietary for me to think of trying it. I'll see if I can find somewhere prominent to post this information for others to find.

Thanks go to you and the rest of the Fedora contributors for making things like this just work.

Cheers,

Nik
Comment 13 Dan Williams 2009-02-13 10:29:32 EST
Yeah; unfortunately it's something users are just going to have to know... :(  Thanks for posting this somewhere.
Comment 14 Adrian 2009-02-13 10:47:03 EST
For the record, I use "PC Suite" mode. When I use "Data transfer", the output from dmesg is quite different:

usb 6-1: new full speed USB device using ohci_hcd and address 6
usb 6-1: configuration #1 chosen from 1 choice
scsi9 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 6
usb-storage: waiting for device to settle before scanning
usb 6-1: New USB device found, idVendor=0421, idProduct=0041
usb 6-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
usb 6-1: Product: Nokia E51
usb 6-1: Manufacturer: Nokia
usb 6-1: SerialNumber: 352073020434164
usb-storage: device scan complete
scsi 9:0:0:0: Direct-Access     Nokia    E51              1.0  PQ: 0 ANSI: 0
sd 9:0:0:0: [sdb] 1002263 512-byte hardware sectors (513 MB)
sd 9:0:0:0: [sdb] Write Protect is off
sd 9:0:0:0: [sdb] Mode Sense: 03 00 00 00
sd 9:0:0:0: [sdb] Assuming drive cache: write through
sd 9:0:0:0: [sdb] 1002263 512-byte hardware sectors (513 MB)
sd 9:0:0:0: [sdb] Write Protect is off
sd 9:0:0:0: [sdb] Mode Sense: 03 00 00 00
sd 9:0:0:0: [sdb] Assuming drive cache: write through
 sdb:
sd 9:0:0:0: [sdb] Attached SCSI removable disk
sd 9:0:0:0: Attached scsi generic sg2 type 0
Comment 15 Adrian 2009-02-13 11:30:36 EST
I'm a bit confused as to why this bug has been closed as my problem is different from the one reported by Nik Lam.

I've just tested my Nokia E51 in VirtualBox (Linux Mint 6 - Host=F10 x86_64) and its NetworkManager detects my phone. So, I doubt that it is a "PBCAK" problem. :)
Comment 16 Dan Williams 2009-02-13 11:54:54 EST
(In reply to comment #15)
> I'm a bit confused as to why this bug has been closed as my problem is
> different from the one reported by Nik Lam.
> 
> I've just tested my Nokia E51 in VirtualBox (Linux Mint 6 - Host=F10 x86_64)
> and its NetworkManager detects my phone. So, I doubt that it is a "PBCAK"
> problem. :)

Ok, so if it's detected, can the bug be closed or is there still a problem?
Comment 17 Adrian 2009-02-13 12:46:46 EST
The problem is that NetworkManager does not seem to detect my phone at all. It did, at one stage. 

Under "Mobile Broadband", I used to be presented with 3 options:
. Nokia E51........ (can't remember exactly)
. Create a GSM connection
. Create a CDMA connection 

Selecting the first option was fine and worked out of the box.

Now, I only get presented with the last two default options. No mention of my specific model. When I choose "GSM connection" and specify the appropriate settings, NM still does not connect.

Sorry for being a bit unclear - I'm not particularly good at reporting bugs yet.
Comment 18 Dan Williams 2009-02-13 12:52:02 EST
Hmm; can get the output of "lshal" when run in a terminal and paste in the block that refers to ttyACM0?  Need to see if the bits from that fdi file you reference are actually being applied.
Comment 19 Adrian 2009-02-13 13:06:40 EST
From lshal:

udi = '/org/freedesktop/Hal/devices/usb_device_421_42_noserial_if0_1_serial_unknown_0'
  access_control.file = '/dev/ttyACM0'  (string)
  access_control.type = 'modem'  (string)
  info.callouts.add = {'hal-acl-tool --add-device'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'serial', 'modem', 'access_control'} (string list)
  info.category = 'serial'  (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_421_42_noserial_if0_1'  (string)
  info.product = 'Serial Port'  (string)
  info.subsystem = 'tty'  (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_421_42_noserial_if0_1_serial_unknown_0'  (string)
  linux.device_file = '/dev/ttyACM0'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'tty'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:13.1/usb6/6-1/6-1:1.10/tty/ttyACM0'  (string)
  modem.command_sets = {'V.250', 'GSM-07.07', 'GSM-07.05'} (string list)
  serial.device = '/dev/ttyACM0'  (string)
  serial.originating_device = '/org/freedesktop/Hal/devices/usb_device_421_42_noserial_if0_1'  (string)
  serial.port = 0  (0x0)  (int)
  serial.type = 'unknown'  (string)
Comment 20 Dan Williams 2009-02-13 13:42:28 EST
That output looks OK.  So the phone *does* show up in the nm-applet menu?  But when you try to connect, it fails?
Comment 21 Adrian 2009-02-13 14:00:56 EST
No, it does not show up in the nm-applet menu. 

It did, up until about 17 January 2009. That is why I decided to include the (yum) updates from between 15 and 17 January in my first report.
Comment 22 Dan Williams 2009-02-13 14:30:04 EST
Ok, so when HAL has the right magic for GSM-07.07, can you run "nm-tool" and report the output?
Comment 23 Adrian 2009-02-13 15:03:30 EST
* With eth0 connected and Nokia E51 plugged-in ("ttyACM0 block" present in lshal):
----------------------------------------------------------------------------------

NetworkManager Tool

State: connected

- Device: eth0 ----------------------------------------------------------------
  Type:              Wired
  Driver:            r8169
  State:             connected
  Default:           yes
  HW Address:        00:1F:C6:67:25:A1

  Capabilities:
    Supported:       yes
    Carrier Detect:  yes
    Speed:           100 Mb/s

  Wired Settings

  IPv4 Settings:
    Address:         192.168.1.1
    Prefix:          24 (255.255.255.0)
    Gateway:         192.168.1.254

    DNS:             192.168.1.254


* With eth0 disconnected and Nokia E51 plugged-in ("ttyACM0 block" present in lshal):
-------------------------------------------------------------------------------------

NetworkManager Tool

State: disconnected

- Device: eth0 ----------------------------------------------------------------
  Type:              Wired
  Driver:            r8169
  State:             unavailable
  Default:           no
  HW Address:        00:1F:C6:67:25:A1

  Capabilities:
    Supported:       yes
    Carrier Detect:  yes
    Speed:           10 Mb/s

  Wired Settings
Comment 24 Dan Williams 2009-02-14 07:16:19 EST
In the dump above, the ttyACM block *did* or *did not* have the GSM-07.07 bits?
Comment 25 Adrian 2009-02-14 07:32:55 EST
Hi, 

I've just looked at the lshal output and then ran nm-tool. modem.command.sets has 'GSM-07.07', but nm-tool reports only eth0 and not ttyACM0. I will be happy to provide further info.

Thanks
Adrian

udi = '/org/freedesktop/Hal/devices/usb_device_421_42_noserial_if0_3_serial_unknown_0'
  access_control.file = '/dev/ttyACM0'  (string)
  access_control.type = 'modem'  (string)
  info.callouts.add = {'hal-acl-tool --add-device'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'serial', 'modem', 'access_control'} (string list)
  info.category = 'serial'  (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_421_42_noserial_if0_3'  (string)
  info.product = 'Serial Port'  (string)
  info.subsystem = 'tty'  (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_421_42_noserial_if0_3_serial_unknown_0'  (string)
  linux.device_file = '/dev/ttyACM0'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'tty'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:13.1/usb6/6-1/6-1:1.10/tty/ttyACM0'  (string)
  modem.command_sets = {'V.250', 'GSM-07.07', 'GSM-07.05'} (string list)
  serial.device = '/dev/ttyACM0'  (string)
  serial.originating_device = '/org/freedesktop/Hal/devices/usb_device_421_42_noserial_if0_3'  (string)
  serial.port = 0  (0x0)  (int)
  serial.type = 'unknown'  (string)

------------------------------------------------------------

NetworkManager Tool

State: connected

- Device: eth0 ----------------------------------------------------------------
  Type:              Wired
  Driver:            r8169
  State:             connected
  Default:           yes
  HW Address:        00:1F:C6:67:25:A1

  Capabilities:
    Supported:       yes
    Carrier Detect:  yes
    Speed:           100 Mb/s

  Wired Settings

  IPv4 Settings:
    Address:         192.168.1.1
    Prefix:          24 (255.255.255.0)
    Gateway:         192.168.1.254

    DNS:             192.168.1.254
Comment 26 Dan Williams 2009-02-15 09:18:56 EST
Ok; next can you paste in the bits of /var/log/messages from around the time this problem occurs?  Basically, the lshal looks correct, so it seems that the D-Bus signals aren't properly getting to NetworkManager.  I need to see if that's the case by looking at the NM logs, which are in /var/log/messages.
Comment 27 Adrian 2009-02-15 16:21:00 EST
Created attachment 331988 [details]
Messages from Jan 18 - 25

Apologies for sending the entire log, but I didn't want to edit out things that may be relevant.

This log (Jan 18 - 25) is, unfortunately, the furthest that I can go back, but I suspect that the problem started around that time.
Comment 28 Mauricio Teixeira 2009-03-23 15:25:44 EDT
I have the same issue with a Nokia E71 on Fedora 10, but the same phone on RHEL 5.3 works perfectly fine (i.e. gets detected by NM, shows up in nm-applet, and I can use it to connect). Maybe looking at what changed from NM shipped in RHEL to the one shipped in Fedora can help?
Comment 29 Dan Williams 2009-04-08 22:01:30 EDT
Can you try with latest NM updates from March 26th? (0.7.0.99-5)  That has some fixes for modem detection.
Comment 30 Mauricio Teixeira 2009-04-09 08:01:09 EDT
FWIW, my E71 is still not recognized.
Comment 31 Dan Williams 2009-04-09 09:28:48 EDT
(In reply to comment #30)
> FWIW, my E71 is still not recognized.  

Can you do the following?

1) unplug your phone
2) /sbin/udevadm control --log_priority=debug
3) plug in your phone
4) wait 20 seconds
5) grab log output from /var/log/messages and attach it here
Comment 32 Mauricio Teixeira 2009-04-09 09:43:47 EDT
Created attachment 338904 [details]
/sbin/udevadm control --log_priority=debug
Comment 33 Adrian 2009-04-09 10:30:56 EDT
Created attachment 338922 [details]
Nokia E51 debug (/var/log/messages)

My E51 is also still not recognised. I've attached the info requested in #31.
Comment 34 Dan Williams 2009-04-09 10:41:07 EDT
Ok, so udev should have the right bits.  Just to be clear again, after the phone is plugged in, can you attach the bits of /var/log/messages from when you plugged the phone in up to about 30 seconds after you plugged it in?  This time, I don't care about the udev messages (they look good), but about the NetworkManager messages.
Comment 35 Mauricio Teixeira 2009-04-09 10:49:23 EDT
In my case, the NetworkManager information never shows. I already kept my phone connected for 10 minutes, even restarted NM, but it never mentions anything about the modem.
Comment 36 Dan Williams 2009-04-09 10:59:24 EDT
(In reply to comment #35)
> In my case, the NetworkManager information never shows. I already kept my phone
> connected for 10 minutes, even restarted NM, but it never mentions anything
> about the modem.  

Ok, grab an 'lshal' dump then and lets see if the tty port has the 'serial' capability.
Comment 37 Dan Williams 2009-04-09 11:02:09 EDT
For a Sony Ericsson TM506, it looks like this:

udi = '/org/freedesktop/Hal/devices/usb_device_fce_d0d6_3569830213749930_if1_serial_unknown_0'
  info.capabilities = {'serial', 'modem'} (string list)
  info.category = 'serial'  (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_fce_d0d6_3569830213749930_if1'  (string)
  info.product = 'Serial Port'  (string)
  info.subsystem = 'tty'  (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_fce_d0d6_3569830213749930_if1_serial_unknown_0'  (string)
  linux.device_file = '/dev/ttyACM0'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'tty'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.1/usb3/3-2/3-2:3.1/tty/ttyACM0'  (string)
  modem.command_sets = {'V.250'} (string list)
  serial.device = '/dev/ttyACM0'  (string)
  serial.originating_device = '/org/freedesktop/Hal/devices/usb_device_fce_d0d6_3569830213749930_if1'  (string)
  serial.port = 0  (0x0)  (int)
  serial.type = 'unknown'  (string)

NM looks for the 'serial' capability.  Please also verify *exactly* what version of NetworkManager you're running, thanks!
Comment 38 Mauricio Teixeira 2009-04-09 11:12:20 EDT
udi = '/org/freedesktop/Hal/devices/usb_device_421_ab_noserial'
  info.bus = 'usb_device'  (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_1d6b_1_0000_00_1d_2'  (string)
  info.product = 'Nokia E71'  (string)
  info.subsystem = 'usb_device'  (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_421_ab_noserial'  (string)
  info.vendor = 'Nokia Mobile Phones'  (string)
  linux.device_file = '/dev/bus/usb/004/007'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'usb'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.2/usb4/4-1'  (string)
  usb_device.bus_number = 4  (0x4)  (int)
  usb_device.can_wake_up = false  (bool)
  usb_device.configuration = 'Bulk transfer method configuration'  (string)
  usb_device.configuration_value = 1  (0x1)  (int)
  usb_device.device_class = 2  (0x2)  (int)
  usb_device.device_protocol = 0  (0x0)  (int)
  usb_device.device_revision_bcd = 256  (0x100)  (int)
  usb_device.device_subclass = 0  (0x0)  (int)
  usb_device.is_self_powered = true  (bool)
  usb_device.linux.device_number = 7  (0x7)  (int)
  usb_device.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.2/usb4/4-1'  (string)
  usb_device.max_power = 20  (0x14)  (int)
  usb_device.num_configurations = 1  (0x1)  (int)
  usb_device.num_interfaces = 16  (0x10)  (int)
  usb_device.num_ports = 0  (0x0)  (int)
  usb_device.product = 'Nokia E71'  (string)
  usb_device.product_id = 171  (0xab)  (int)
  usb_device.speed = 12.0 (12) (double)
  usb_device.vendor = 'Nokia Mobile Phones'  (string)
  usb_device.vendor_id = 1057  (0x421)  (int)
  usb_device.version = 2.0 (2) (double)

udi = '/org/freedesktop/Hal/devices/usb_device_421_ab_noserial_if0_1_serial_unknown_0'
  access_control.file = '/dev/ttyACM0'  (string)
  access_control.type = 'modem'  (string)
  info.callouts.add = {'hal-acl-tool --add-device'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'serial', 'modem', 'access_control'} (string list)
  info.category = 'serial'  (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_421_ab_noserial_if0_1'  (string)
  info.product = 'Serial Port'  (string)
  info.subsystem = 'tty'  (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_421_ab_noserial_if0_1_serial_unknown_0'  (string)
  linux.device_file = '/dev/ttyACM0'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'tty'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.2/usb4/4-1/4-1:1.10/tty/ttyACM0'  (string)
  modem.command_sets = {'V.250', 'GSM-07.07', 'GSM-07.05'} (string list)
  serial.device = '/dev/ttyACM0'  (string)
  serial.originating_device = '/org/freedesktop/Hal/devices/usb_device_421_ab_noserial_if0_1'  (string)
  serial.port = 0  (0x0)  (int)
  serial.type = 'unknown'  (string)
Comment 39 Adrian 2009-04-09 11:27:07 EDT
My lshal dump is still the same as in #25.

version: NetworkManager-0.7.0.99-5.git20090326.fc10.x86_64
Comment 40 Dan Williams 2009-04-09 12:01:55 EDT
Ok.  Next thing to do is run "lshal --monitor" while the phone is unplugged, plug the phone in, and paste the output into this bug.
Comment 41 Mauricio Teixeira 2009-04-09 12:07:08 EDT
Start monitoring devicelist:
-------------------------------------------------
13:06:28.426: usb_device_421_ab_noserial added
13:06:28.446: usb_device_1d6b_1_0000_00_1d_2_if0_0 added
13:06:28.452: usb_device_421_ab_noserial_if1 added
13:06:28.455: usb_device_1d6b_1_0000_00_1d_2_if2 added
13:06:28.458: usb_device_1d6b_1_0000_00_1d_2_if3 added
13:06:28.463: usb_device_1d6b_1_0000_00_1d_2_if5 added
13:06:28.486: usb_device_1d6b_1_0000_00_1d_2_if7 added
13:06:28.500: usb_device_421_ab_noserial_if9 added
13:06:28.505: usb_device_421_ab_noserial_if0 added
13:06:28.510: usb_device_421_ab_noserial_if0_0 added
13:06:28.513: usb_device_421_ab_noserial_if0_1 added
13:06:28.519: usb_device_421_ab_noserial_if0_2 added
13:06:28.523: usb_device_421_ab_noserial_if0_3 added
13:06:28.529: usb_device_421_ab_noserial_if0_4 added
13:06:28.573: usb_device_1d6b_1_0000_00_1d_2_if8 added
13:06:28.574: usb_device_421_ab_noserial_if4 added
13:06:28.579: usb_device_1d6b_1_0000_00_1d_2_if6 added
13:06:29.113: usb_device_421_ab_noserial_if0_serial_unknown_0 added
Comment 42 Dan Williams 2009-04-09 13:14:44 EDT
Ok, and when pluggin in you don't see *anything* in /var/log/messages like:

NetworkManager: <info>  (ttyACM0): found serial port (udev:GSM  hal:)
NetworkManager: <info>  (ttyACM0): deferring until all ports found
NetworkManager: <info>  Re-checking deferred serial ports
NetworkManager: <info>  (ttyACM0): new Modem device (driver: 'cdc_acm')
NetworkManager: <info>  (ttyACM0): exported as /org/freedesktop/Hal/devices/usb_device_fce_d0d6_3569830213749930_if1_serial_unknown_0

Are you running in SELinux enforcing mode by any chance?  Not that I expect that to be the problem, just wondering.  Seems like NM isn't getting the HAL messages.
Comment 43 Adrian 2009-04-09 13:40:50 EDT
I did a "cat /var/log/messages | grep deferring", but nothing was returned.

SELinux, for me, is running in enforcing mode. 

(For interest sake, I will disable SELinux and do a relabel, and try again.)
Comment 44 Dan Williams 2009-04-09 13:56:08 EDT
You may or may not get "deferring" depending on how the system is configured; try grepping for "found serial" or something.
Comment 45 Dan Williams 2009-04-09 13:57:56 EDT
Does the device provide a "usb0" interface as well?  ie a cdc-ether driven ethernet interface?
Comment 46 Dan Williams 2009-04-09 16:11:23 EDT
For reference:

(03:17:12 PM) netmask: NetworkManager: is_modem_device: inspecting device '/org/freedesktop/Hal/devices/usb_device_421_ab_noserial_if0_1_serial_unknown_0'
(03:17:12 PM) netmask: NetworkManager: is_modem_device: 'info.category' is 'serial'
(03:17:12 PM) netmask: NetworkManager: is_modem_device: device '/org/freedesktop/Hal/devices/usb_device_421_ab_noserial_if0_1_serial_unknown_0' is a modem: 1
(03:17:12 PM) netmask: NetworkManager: get_creator: device creator FOUND
(03:17:13 PM) netmask: NetworkManager: emit_udi_added: emitting udi-added for '/org/freedesktop/Hal/devices/usb_device_421_ab_noserial_if0_1_serial_unknown_0' (od '/org/freedesktop/Hal/devices/usb_device_421_ab_noserial')
(03:17:16 PM) netmask: NetworkManager: modem_device_creator: starting
(03:17:18 PM) netmask: NetworkManager: modem_device_creator: missing serial device ('/dev/ttyACM0') or driver ('(null)')
(03:17:20 PM) netmask: NetworkManager: modem_device_creator: DONE
(03:17:22 PM) netmask: NetworkManager: hal_manager_udi_added_cb: could not run device type creator_fn
(03:17:24 PM) netmask: NetworkManager: device_added: DONE

So this indicates that the driver of the device could not be determined, and thus NM will ignore it.  That could indicate either a HAL, kernel, or NetworkManager problem.

To determine that, could somebody attach the *full* output of "lshal" so I can see where the driver link occurs, if any?  The snippets above don't have what I need.

I also need the output of the following from everyone:

ls -alH /sys/class/tty/ttyACM0/device

On my cdc-acm driven phone, it looks like this:

[dcbw@localhost ttyACM0]$ ls -alH /sys/class/tty/ttyACM0/device
total 0
drwxr-xr-x  5 root root    0 2009-04-09 16:09 .
drwxr-xr-x 15 root root    0 2009-04-09 16:09 ..
-r--r--r--  1 root root 4096 2009-04-09 16:11 bAlternateSetting
-r--r--r--  1 root root 4096 2009-04-09 16:09 bInterfaceClass
-r--r--r--  1 root root 4096 2009-04-09 16:09 bInterfaceNumber
-r--r--r--  1 root root 4096 2009-04-09 16:09 bInterfaceProtocol
-r--r--r--  1 root root 4096 2009-04-09 16:09 bInterfaceSubClass
-r--r--r--  1 root root 4096 2009-04-09 16:11 bmCapabilities
-r--r--r--  1 root root 4096 2009-04-09 16:11 bNumEndpoints
lrwxrwxrwx  1 root root    0 2009-04-09 16:09 driver -> ../../../../../../bus/usb/drivers/cdc_acm
lrwxrwxrwx  1 root root    0 2009-04-09 16:11 ep_8a -> usb_endpoint/usbdev3.19_ep8a
-r--r--r--  1 root root 4096 2009-04-09 16:09 interface
-r--r--r--  1 root root 4096 2009-04-09 16:11 modalias
drwxr-xr-x  2 root root    0 2009-04-09 16:11 power
lrwxrwxrwx  1 root root    0 2009-04-09 16:09 subsystem -> ../../../../../../bus/usb
drwxr-xr-x  3 root root    0 2009-04-09 16:09 tty
-rw-r--r--  1 root root 4096 2009-04-09 16:11 uevent
drwxr-xr-x  3 root root    0 2009-04-09 16:09 usb_endpoint
Comment 47 Dan Williams 2009-04-09 16:12:55 EDT
The interesting part of the above is the "driver" link pointing to cdc_acm.  That's what HAL isn't providing to NM, or what NM isn't correctly determining from HAL.  Which is why I need the full 'lshal' output from you.
Comment 48 Mauricio Teixeira 2009-04-09 16:44:32 EDT
Created attachment 338994 [details]
Full lshal output with E71 phone.
Comment 49 Mauricio Teixeira 2009-04-09 16:47:44 EDT
# ls -alH /sys/class/tty/ttyACM0/device
total 0
drwxr-xr-x  5 root root    0 2009-04-09 17:42 .
drwxr-xr-x 20 root root    0 2009-04-09 17:42 ..
-r--r--r--  1 root root 4096 2009-04-09 17:47 bAlternateSetting
-r--r--r--  1 root root 4096 2009-04-09 17:42 bInterfaceClass
-r--r--r--  1 root root 4096 2009-04-09 17:42 bInterfaceNumber
-r--r--r--  1 root root 4096 2009-04-09 17:42 bInterfaceProtocol
-r--r--r--  1 root root 4096 2009-04-09 17:42 bInterfaceSubClass
-r--r--r--  1 root root 4096 2009-04-09 17:47 bmCapabilities
-r--r--r--  1 root root 4096 2009-04-09 17:47 bNumEndpoints
lrwxrwxrwx  1 root root    0 2009-04-09 17:42 driver -> ../../../../../../bus/usb/drivers/cdc_acm
lrwxrwxrwx  1 root root    0 2009-04-09 17:47 ep_81 -> usb_endpoint/usbdev4.3_ep81
-r--r--r--  1 root root 4096 2009-04-09 17:42 interface
-r--r--r--  1 root root 4096 2009-04-09 17:47 modalias
drwxr-xr-x  2 root root    0 2009-04-09 17:47 power
lrwxrwxrwx  1 root root    0 2009-04-09 17:42 subsystem -> ../../../../../../bus/usb
drwxr-xr-x  3 root root    0 2009-04-09 17:42 tty
-rw-r--r--  1 root root 4096 2009-04-09 17:47 uevent
drwxr-xr-x  3 root root    0 2009-04-09 17:42 usb_endpoint
Comment 50 Mauricio Teixeira 2009-04-09 16:49:14 EDT
One thing that did not show up on the ls output above, is that "driver" is pointing to a non existent file.

# cd /sys/class/tty/ttyACM0/device
# ls -l ../../../../../../bus/usb/drivers/cdc_acm
ls: cannot access ../../../../../../bus/usb/drivers/cdc_acm: No such file or directory
# ls -l ../../../../../../bus/usb/drivers/
total 0
dr-xr-xr-x 2 root root 0 2009-04-09 17:23 001
dr-xr-xr-x 2 root root 0 2009-04-09 17:23 002
dr-xr-xr-x 2 root root 0 2009-04-09 17:23 003
dr-xr-xr-x 2 root root 0 2009-04-09 17:23 004
dr-xr-xr-x 2 root root 0 2009-04-09 17:23 005
-r--r--r-- 1 root root 0 2009-04-09 17:42 devices
Comment 51 Adrian 2009-04-09 16:53:55 EDT
Created attachment 338996 [details]
lshal (E51)

$ ls -alH /sys/class/tty/ttyACM0/device
total 0
drwxr-xr-x  5 root root    0 2009-04-09 22:49 .
drwxr-xr-x 20 root root    0 2009-04-09 22:49 ..
-r--r--r--  1 root root 4096 2009-04-09 22:51 bAlternateSetting
-r--r--r--  1 root root 4096 2009-04-09 22:49 bInterfaceClass
-r--r--r--  1 root root 4096 2009-04-09 22:49 bInterfaceNumber
-r--r--r--  1 root root 4096 2009-04-09 22:49 bInterfaceProtocol
-r--r--r--  1 root root 4096 2009-04-09 22:49 bInterfaceSubClass
-r--r--r--  1 root root 4096 2009-04-09 22:51 bmCapabilities
-r--r--r--  1 root root 4096 2009-04-09 22:51 bNumEndpoints
lrwxrwxrwx  1 root root    0 2009-04-09 22:49 driver -> ../../../../../../bus/usb/drivers/cdc_acm
lrwxrwxrwx  1 root root    0 2009-04-09 22:51 ep_81 -> usb_endpoint/usbdev3.8_ep81
-r--r--r--  1 root root 4096 2009-04-09 22:49 interface
-r--r--r--  1 root root 4096 2009-04-09 22:51 modalias
drwxr-xr-x  2 root root    0 2009-04-09 22:51 power
lrwxrwxrwx  1 root root    0 2009-04-09 22:49 subsystem -> ../../../../../../bus/usb
drwxr-xr-x  3 root root    0 2009-04-09 22:49 tty
-rw-r--r--  1 root root 4096 2009-04-09 22:51 uevent
drwxr-xr-x  3 root root    0 2009-04-09 22:49 usb_endpoint
Comment 52 Adrian 2009-04-09 17:06:01 EDT
(In reply to comment #50)
> One thing that did not show up on the ls output above, is that "driver" is
> pointing to a non existent file.
> 
> # cd /sys/class/tty/ttyACM0/device
> # ls -l ../../../../../../bus/usb/drivers/cdc_acm
> ls: cannot access ../../../../../../bus/usb/drivers/cdc_acm: No such file or
> directory
> # ls -l ../../../../../../bus/usb/drivers/
> total 0
> dr-xr-xr-x 2 root root 0 2009-04-09 17:23 001
> dr-xr-xr-x 2 root root 0 2009-04-09 17:23 002
> dr-xr-xr-x 2 root root 0 2009-04-09 17:23 003
> dr-xr-xr-x 2 root root 0 2009-04-09 17:23 004
> dr-xr-xr-x 2 root root 0 2009-04-09 17:23 005
> -r--r--r-- 1 root root 0 2009-04-09 17:42 devices  

Same issue here.
Comment 53 Dan Williams 2009-04-09 17:11:07 EDT
(04:58:18 PM) dcbw: does 'cd /sys/class/tty/ttyACM0/device/driver' actually work?
17:05
(05:07:26 PM) netmask|home: -bash: cd: /sys/class/tty/ttyACM0/device/driver: No such file or directory

So this is sounding more and more like a kernel bug.
Comment 54 Dan Williams 2009-04-15 09:31:16 EDT
Ok, can I get people to:

cd -P /sys/class/tty/ttyACM0/device

then 

ls -alH 

then whatever the 'driver' link points to, 'cd -P <what driver points to>' for me?
Comment 55 Adrian 2009-04-15 09:47:00 EDT
[adrian@amethyst ~]$ cd -P /sys/class/tty/ttyACM0/device
[adrian@amethyst 3-3:1.10]$ ls -alH
total 0
drwxr-xr-x  5 root root    0 2009-04-15 15:41 .
drwxr-xr-x 20 root root    0 2009-04-15 15:41 ..
-r--r--r--  1 root root 4096 2009-04-15 15:43 bAlternateSetting
-r--r--r--  1 root root 4096 2009-04-15 15:41 bInterfaceClass
-r--r--r--  1 root root 4096 2009-04-15 15:41 bInterfaceNumber
-r--r--r--  1 root root 4096 2009-04-15 15:41 bInterfaceProtocol
-r--r--r--  1 root root 4096 2009-04-15 15:41 bInterfaceSubClass
-r--r--r--  1 root root 4096 2009-04-15 15:43 bmCapabilities
-r--r--r--  1 root root 4096 2009-04-15 15:43 bNumEndpoints
lrwxrwxrwx  1 root root    0 2009-04-15 15:41 driver -> ../../../../../../bus/usb/drivers/cdc_acm
lrwxrwxrwx  1 root root    0 2009-04-15 15:43 ep_81 -> usb_endpoint/usbdev3.3_ep81
-r--r--r--  1 root root 4096 2009-04-15 15:41 interface
-r--r--r--  1 root root 4096 2009-04-15 15:43 modalias
drwxr-xr-x  2 root root    0 2009-04-15 15:43 power
lrwxrwxrwx  1 root root    0 2009-04-15 15:41 subsystem -> ../../../../../../bus/usb
drwxr-xr-x  3 root root    0 2009-04-15 15:41 tty
-rw-r--r--  1 root root 4096 2009-04-15 15:43 uevent
drwxr-xr-x  3 root root    0 2009-04-15 15:41 usb_endpoint
[adrian@amethyst 3-3:1.10]$ cd -P ../../../../../../bus/usb/drivers/cdc_acm
bash: cd: ../../../../../../bus/usb/drivers/cdc_acm: No such file or directory
[adrian@amethyst 3-3:1.10]$
Comment 56 Dan Williams 2009-04-17 11:45:03 EDT
(In reply to comment #54)
> Ok, can I get people to:
> 
> cd -P /sys/class/tty/ttyACM0/device
> 
> then 
> 
> ls -alH 
> 
> then whatever the 'driver' link points to, 'cd -P <what driver points to>' for
> me?  

After the first 'cd -P /sys/class/tty/ttyACM0/device', could you also grab the output of 'pwd' for me too?  Sorry it takes so many steps to debug this remotely :)
Comment 57 Dan Williams 2009-04-17 11:54:47 EDT
Can I also get:

ls -l /sys/bus/usb/drivers/

Just to make sure cdc-acm even shows up on the system.  Thanks!
Comment 58 Dan Williams 2009-04-17 11:56:34 EDT
And I guess I didn't ask, but what *specific* kernel version are people running?  Latest F-10 updates kernel or something else?
Comment 59 Adrian 2009-04-17 12:24:48 EDT
Hi, I've included the additional requests. Please, feel free to ask for further information.

[adrian@amethyst ~]$ cd -P /sys/class/tty/ttyACM0/device
[adrian@amethyst 3-3:1.10]$ pwd
/sys/devices/pci0000:00/0000:00:12.0/usb3/3-3/3-3:1.10
[adrian@amethyst 3-3:1.10]$ ls -alH
total 0
drwxr-xr-x  5 root root    0 2009-04-17 18:15 .
drwxr-xr-x 20 root root    0 2009-04-17 18:15 ..
-r--r--r--  1 root root 4096 2009-04-17 18:17 bAlternateSetting
-r--r--r--  1 root root 4096 2009-04-17 18:15 bInterfaceClass
-r--r--r--  1 root root 4096 2009-04-17 18:15 bInterfaceNumber
-r--r--r--  1 root root 4096 2009-04-17 18:15 bInterfaceProtocol
-r--r--r--  1 root root 4096 2009-04-17 18:15 bInterfaceSubClass
-r--r--r--  1 root root 4096 2009-04-17 18:17 bmCapabilities
-r--r--r--  1 root root 4096 2009-04-17 18:17 bNumEndpoints
lrwxrwxrwx  1 root root    0 2009-04-17 18:15 driver -> ../../../../../../bus/usb/drivers/cdc_acm
lrwxrwxrwx  1 root root    0 2009-04-17 18:17 ep_81 -> usb_endpoint/usbdev3.4_ep81
-r--r--r--  1 root root 4096 2009-04-17 18:15 interface
-r--r--r--  1 root root 4096 2009-04-17 18:17 modalias
drwxr-xr-x  2 root root    0 2009-04-17 18:17 power
lrwxrwxrwx  1 root root    0 2009-04-17 18:15 subsystem -> ../../../../../../bus/usb
drwxr-xr-x  3 root root    0 2009-04-17 18:15 tty
-rw-r--r--  1 root root 4096 2009-04-17 18:17 uevent
drwxr-xr-x  3 root root    0 2009-04-17 18:15 usb_endpoint
[adrian@amethyst 3-3:1.10]$ cd -P ../../../../../../bus/usb/drivers/cdc_acm
bash: cd: ../../../../../../bus/usb/drivers/cdc_acm: No such file or directory
[adrian@amethyst 3-3:1.10]$ ls -l /sys/bus/usb/drivers/
total 0
dr-xr-xr-x 2 root root 0 2009-04-17 12:43 001
dr-xr-xr-x 2 root root 0 2009-04-17 12:43 002
dr-xr-xr-x 2 root root 0 2009-04-17 12:43 003
dr-xr-xr-x 2 root root 0 2009-04-17 12:43 004
dr-xr-xr-x 2 root root 0 2009-04-17 12:43 005
dr-xr-xr-x 2 root root 0 2009-04-17 12:43 006
dr-xr-xr-x 2 root root 0 2009-04-17 12:43 007
-r--r--r-- 1 root root 0 2009-04-17 18:15 devices
[adrian@amethyst 3-3:1.10]$ uname -a
Linux amethyst 2.6.27.21-170.2.56.fc10.x86_64 #1 SMP Mon Mar 23 23:08:10 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
[adrian@amethyst 3-3:1.10]$
Comment 60 Dan Williams 2009-04-17 12:30:48 EDT
Based on comment #59, definitely a kernel bug.  The symlink in the USB device directory doesn't point to anything at all.  Clearly wrong.
Comment 61 Dan Williams 2009-04-17 12:34:33 EDT
That output from 'ls -l /sys/bus/usb/drivers/' is exceedingly wierd.  Could you reboot, and without plugging the phone in, get the output of 'ls -l /sys/bus/usb/drivers/' again and post that?
Comment 62 Adrian 2009-04-17 12:48:09 EDT
After rebooting (with the phone unplugged), here is the output:

[adrian@amethyst ~]$ ls -l /sys/bus/usb/drivers/
total 0
dr-xr-xr-x 2 root root 0 2009-04-17 20:41 001
dr-xr-xr-x 2 root root 0 2009-04-17 20:41 002
dr-xr-xr-x 2 root root 0 2009-04-17 20:41 003
dr-xr-xr-x 2 root root 0 2009-04-17 20:41 004
dr-xr-xr-x 2 root root 0 2009-04-17 20:41 005
dr-xr-xr-x 2 root root 0 2009-04-17 20:41 006
dr-xr-xr-x 2 root root 0 2009-04-17 20:41 007
-r--r--r-- 1 root root 0 2009-04-17 20:41 devices

I don't know if this is relevant, but my local time is:
[adrian@amethyst ~]$ date 
Fri Apr 17 18:46:59 SAST 2009
Comment 63 Dan Williams 2009-04-17 12:57:27 EDT
Adrian, do you have VirtualBox installed?
Comment 64 Adrian 2009-04-17 13:05:07 EDT
Yes, I do. F10 is the host, though.
Comment 65 Dan Williams 2009-04-17 13:10:26 EDT
I'm thinking it's more and more VB related, there have been similar problems with VirtualBox before.  As a workaround, put the following into /usr/share/hal/fdi/information/10freedesktop/75-fake-driver.fdi:

<?xml version="1.0" encoding="UTF-8"?> <!-- -*- xml -*- -->

<deviceinfo version="0.2">
  <device>
      <!-- Vendor: Nokia -->
      <match key="usb.vendor_id" int="0x0421">
        <match key="usb.product_id" int="0x0042">
          <match key="usb.interface.class" int="2">
            <match key="usb.interface.protocol" int="1">
              <match key="usb.interface.subclass" int="2">
                <append key="info.linux.driver" type="string">cdc_acm</append>
              </match>
            </match>
          </match>
        </match>
      </match>
  </device>
</deviceinfo>

and see whether that gets HAL to have an info.linux.driver for the ttyACM0's parent device.
Comment 66 Adrian 2009-04-17 13:31:00 EDT
Great news! I'm smiling from ear to ear! 

info.linux.driver = 'cdc_acm'  (string)

Thank you very much.
Comment 67 Adrian 2009-04-17 13:43:31 EDT
I've just tested connectivity, and it works! Literally, out of the box. I did not even have to do any configuration whatsoever. In my case, the default "*99#" is enough. Thanks, once again.
Comment 68 Mauricio Teixeira 2009-04-17 13:52:10 EDT
Using the suggested fdi file, changing the product code to match my E71 (00ab), it works fine too.

The strange part is

/sys/class/tty/ttyACM0/device -> this is still an invalid link

Even with the invalid link, it works, and connects.
Comment 69 Mauricio Teixeira 2009-04-17 13:53:10 EDT
Just to make Googlers happy, the fdi above is a workaround, not a proper fix.
Comment 70 Bug Zapper 2009-11-18 05:53:19 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 71 Bug Zapper 2009-12-18 02:42:46 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.